import { IBaseComponent } from './core/IBaseComponent';

export class TabSet extends IBaseComponent {
    static ISC_CLASS_NAME = 'TabSet';

    static IS_CLASS = true;
static NUMERIC_PROPERTIES = {"symmetricEdges":"Boolean","showTabBar":"Boolean","canAddTabs":"Boolean","scrollerButtonSize":"number","showTabScroller":"Boolean","destroyPanes":"boolean","canReorderTabs":"boolean","defaultTabWidth":"number","titleEditorTopOffset":"Integer","selectedTab":"int","canEditTabTitles":"Boolean","paneMargin":"int","defaultTabHeight":"number","symmetricScroller":"Boolean","titleEditorRightOffset":"Integer","moreTabCount":"number","touchPickerButtonSize":"int","symmetricPickerButton":"Boolean","showMoreTab":"boolean","useIOSTabs":"Boolean","animateTabScrolling":"Boolean","showTabPicker":"Boolean","showPartialEdges":"Boolean","tabBarThickness":"number","pickerButtonSize":"int","titleEditorLeftOffset":"Integer","useSimpleTabs":"Boolean","closeTabIconSize":"int","canCloseTabs":"boolean","showPaneContainerEdges":"boolean"};
static COMPOUND_PROPERTIES = {"moreTabPaneProperties":{"className":"Canvas","isProperties":true},"bottomEdgeSizes":{"className":"EdgeSizes"},"titleEditorProperties":{"className":"TextItem","isProperties":true},"tabBarProperties":{"className":"TabBar","isProperties":true},"tabBarControlLayoutProperties":{"className":"Layout","isProperties":true},"moreTabPaneNavBarProperties":{"className":"NavigationBar","isProperties":true},"selectedTab":{"className":"Tab"},"tabProperties":{"className":"Tab","isProperties":true},"tabs":{"className":"Tab","isArray":true,"deepCopy":true},"rightEdgeOffsets":{"className":"EdgeSizes"},"moreTabPaneTableProperties":{"className":"TableView","isProperties":true},"topEdgeOffsets":{"className":"EdgeSizes"},"paneContainerProperties":{"className":"VLayout","isProperties":true},"tabPickerProperties":{"className":"ImgButton","isProperties":true},"moreTabProperties":{"className":"Tab","isProperties":true},"topEdgeSizes":{"className":"EdgeSizes"},"bottomEdgeOffsets":{"className":"EdgeSizes"},"leftEdgeSizes":{"className":"EdgeSizes"},"tabBarControls":{"className":"String","isArray":true},"scrollerProperties":{"className":"StretchImgButton","isProperties":true},"rightEdgeSizes":{"className":"EdgeSizes"},"leftEdgeOffsets":{"className":"EdgeSizes"},"addTabButtonProperties":{"className":"ImgButton","isProperties":true},"moreTabPaneDefaults":{"className":"Canvas","isProperties":true}};
static CHILD_TYPE_MAPPING = {"Tab":"tabs"};

    afterCreate(propName, item, childConfig) {
        if (propName != "tabs") return childConfig;
        return {title: item.props.title, pane: childConfig};
    }

    // override default "guessing" to assign canvii to "tabs" property
    _getPropertyNameForContainedClass(className) {
        if (this.isClassASubclassOf(className, "Canvas")) return "tabs";
        return super.__getPropertyNameForContainedClass(className);
    }

}
